@echo off

REM
REM Launch Apache SOAP SMTP Bridge
REM

REM Set up XERCES Directory and Apache SOAP root directories.

set XERCES_DIR="c:\xerces-1_4_0"
set SOAP_DIR="c:\soap-2_2"
set SMTP_DIR="c:\smtp"
set POP3_DIR="c:\pop3"

REM Star building the Class path.

Set SOAPCP="%XERCES_DIR%\xerces.jar;%SOAP_DIR%\lib\soap.jar;%POP3_DIR%\lib\pop3.jar;%SMTP_DIR%\lib\smtp.jar"

REM 
REM    All values will be hardcoded in the script for now.
REM
 
REM   Number of milli seconds delay between polls 
set polldelay="30000"

REM   Name of the POP3 server
set pop3host="mail.trcs.com"

REM   LoginId for the POP3 Account
set pop3login="trcs/smtpsoap"

REM   Password for the POP3 Account
set pop3passwd="frodo1"

REM   HTTP URL for the SOAP Router to bridge to
set routerURL="http://localhost:8080/soap/servlet/rpcrouter"

REM   smtp hostname of SMTP server
set smtphostname="mail.trcs.com"


REM run the bridge!
echo Running the SOAP Bridge using classpath: %CLASSPATH%

java -classpath "%CLASSPATH%" org.apache.soap.server.SMTP2HTTPBridge %polldelay% %pop3host% %pop3login% %pop3passwd% %routerURL% %smtphostname%

