#include <stdio.h>

void main (void)
{
	int stringLength;
	char bufferRead[1024];
	char lengthChar[64];

	// Read the input of the POST data.
	stringLength = _read (0, bufferRead, sizeof (bufferRead));
	
	// Map the number of characters read into a character so
	// that we can find the value of Content-Length to return.
	sprintf (lengthChar, "%d", stringLength);

	// Set up the return header information for the HTTP response.

	// We send back a status indicating everything worked.
	printf ("200 OK\r\n");

	// We set the content-type to be text/plain as we are returning
	// the length of the string as characters.
	printf ("Content-type: text/plain\r\n");

	// We specify the length of the data in the HTTP response.
	printf ("Content-Length: %d\r\n", lengthChar);

	// Signal the end of the headers.
	printf ("\r\n");

	// Append the data to return that is the length of the
	// string passed in.
	printf ("%d", stringLength);
}