#include <stdio.h>
#include <io.h>

void main (void)
{
	int stringLength;
	char bufferRead[1024];

	stringLength = _read (0, bufferRead, sizeof (bufferRead));
	
	// Set up the return header information for the HTTP response.

	// We send back a status indicating everything worked.
	printf ("200 OK\r\n");

	// We set the content-type to be text/plain as we are returning
	// the length of the string as characters.
	printf ("Content-type: text/plain\r\n");

	// We specify the length of the data in the HTTP response.
	printf ("Content-Length: %d\r\n", stringLength);

	// Signal the end of the headers.
	printf ("\r\n");

	// Append the data to return that is the length of the
	// string passed in.
	printf ("%d", stringLength);
}
