import sys, httplib

SERVER_ADDR = '127.0.0.1'
SERVER_PORT = 8080

BODY_TEMPLATE = """<SOAP-ENV:Envelope
  xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
  xmlns:s="http://uche.ogbuji.net/eg/ws/softver-soapser"
  SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
>
  <SOAP-ENV:Body>
    <s:getCurrentVersion>
      <packageName><![CDATA[%s]]></packageName>
    </s:getCurrentVersion>
  </SOAP-ENV:Body>
</SOAP-ENV:Envelope>"""


def GetSoftwareVersion(name=None):
    if not name:
        name = raw_input("Software package name: ")
    body = BODY_TEMPLATE%(name)
    blen = len(body)
    requestor = httplib.HTTP(SERVER_ADDR, SERVER_PORT)
    requestor.putrequest('POST', '/eg/ws/softver-soapser')
    requestor.putheader('Host', SERVER_ADDR)
    requestor.putheader('Content-Type', 'text/plain; charset="utf-8"')
    requestor.putheader('Content-Length', str(blen))
    requestor.putheader('SOAPAction', "http://uche.ogbuji.net/eg/ws/softver-soapser")
    requestor.endheaders()
    requestor.send(body)
    (status_code, message, reply_headers) = requestor.getreply()
    reply_body = requestor.getfile().read()
    print status_code
    print message
    print reply_body


if __name__ == "__main__":
    name = None
    if len(sys.argv) > 1:
        name = sys.argv[1]
    GetSoftwareVersion(name)

