import sys
import wsdllib

def SummarizeMessages(url):
    wsdl = wsdllib.ReadFromUri(url)
    for mname, message in wsdl.messages.items():
        print "Message: %s"%mname
        for pname, part in message.parts.items():
            print "\tPart: %s"%pname
    return

if __name__ == "__main__":
    if len(sys.argv) > 1:
        wsdluri = sys.argv[1]
    else:
        #Use the Babelfish Web servive WSDL as an example if the
        #user does not specify one
        wsdluri = "http://www.xmethods.net/sd/BabelFishService.wsdl "
    SummarizeMessages(wsdluri)

